# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Bookmarks/BookmarksImportDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_BookmarksImportDialog(object):
    def setupUi(self, BookmarksImportDialog):
        BookmarksImportDialog.setObjectName("BookmarksImportDialog")
        BookmarksImportDialog.resize(550, 354)
        BookmarksImportDialog.setMinimumSize(QtCore.QSize(550, 350))
        BookmarksImportDialog.setSizeGripEnabled(True)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(BookmarksImportDialog)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.pagesWidget = QtWidgets.QStackedWidget(parent=BookmarksImportDialog)
        self.pagesWidget.setObjectName("pagesWidget")
        self.sourcePage = QtWidgets.QWidget()
        self.sourcePage.setObjectName("sourcePage")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.sourcePage)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.sourcePage)
        self.label_2.setObjectName("label_2")
        self.verticalLayout.addWidget(self.label_2)
        self.sourcesList = QtWidgets.QListWidget(parent=self.sourcePage)
        self.sourcesList.setObjectName("sourcesList")
        self.verticalLayout.addWidget(self.sourcesList)
        self.pagesWidget.addWidget(self.sourcePage)
        self.filePage = QtWidgets.QWidget()
        self.filePage.setObjectName("filePage")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.filePage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.iconLabel = QtWidgets.QLabel(parent=self.filePage)
        self.iconLabel.setMinimumSize(QtCore.QSize(48, 48))
        self.iconLabel.setMaximumSize(QtCore.QSize(48, 48))
        self.iconLabel.setObjectName("iconLabel")
        self.horizontalLayout_2.addWidget(self.iconLabel)
        self.importingFromLabel = QtWidgets.QLabel(parent=self.filePage)
        self.importingFromLabel.setObjectName("importingFromLabel")
        self.horizontalLayout_2.addWidget(self.importingFromLabel)
        self.verticalLayout_2.addLayout(self.horizontalLayout_2)
        spacerItem = QtWidgets.QSpacerItem(20, 44, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)
        self.fileLabel1 = QtWidgets.QLabel(parent=self.filePage)
        self.fileLabel1.setWordWrap(True)
        self.fileLabel1.setObjectName("fileLabel1")
        self.verticalLayout_2.addWidget(self.fileLabel1)
        self.standardDirLabel = QtWidgets.QLabel(parent=self.filePage)
        self.standardDirLabel.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.LinksAccessibleByMouse|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.standardDirLabel.setObjectName("standardDirLabel")
        self.verticalLayout_2.addWidget(self.standardDirLabel)
        self.fileLabel2 = QtWidgets.QLabel(parent=self.filePage)
        self.fileLabel2.setObjectName("fileLabel2")
        self.verticalLayout_2.addWidget(self.fileLabel2)
        spacerItem1 = QtWidgets.QSpacerItem(20, 44, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)
        self.filePicker = EricPathPicker(parent=self.filePage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filePicker.sizePolicy().hasHeightForWidth())
        self.filePicker.setSizePolicy(sizePolicy)
        self.filePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.filePicker.setObjectName("filePicker")
        self.verticalLayout_2.addWidget(self.filePicker)
        spacerItem2 = QtWidgets.QSpacerItem(20, 44, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.pagesWidget.addWidget(self.filePage)
        self.verticalLayout_3.addWidget(self.pagesWidget)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem3)
        self.nextButton = QtWidgets.QPushButton(parent=BookmarksImportDialog)
        self.nextButton.setObjectName("nextButton")
        self.horizontalLayout.addWidget(self.nextButton)
        self.cancelButton = QtWidgets.QPushButton(parent=BookmarksImportDialog)
        self.cancelButton.setObjectName("cancelButton")
        self.horizontalLayout.addWidget(self.cancelButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout)

        self.retranslateUi(BookmarksImportDialog)
        self.pagesWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(BookmarksImportDialog)
        BookmarksImportDialog.setTabOrder(self.sourcesList, self.nextButton)
        BookmarksImportDialog.setTabOrder(self.nextButton, self.cancelButton)
        BookmarksImportDialog.setTabOrder(self.cancelButton, self.filePicker)

    def retranslateUi(self, BookmarksImportDialog):
        _translate = QtCore.QCoreApplication.translate
        BookmarksImportDialog.setWindowTitle(_translate("BookmarksImportDialog", "Import Bookmarks"))
        self.label_2.setText(_translate("BookmarksImportDialog", "Choose source from which you want to import bookmarks:"))
        self.sourcesList.setToolTip(_translate("BookmarksImportDialog", "Choose the source to import from"))
        self.sourcesList.setSortingEnabled(True)
        self.filePicker.setToolTip(_translate("BookmarksImportDialog", "Enter the name of the bookmarks file or directory"))
        self.nextButton.setText(_translate("BookmarksImportDialog", "Next >"))
        self.cancelButton.setText(_translate("BookmarksImportDialog", "Cancel"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
